This plugin hasn’t been tested with the latest 3 major releases of WordPress. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Store Locator

توضیحات

The plugin is based on the WordPress Plugin boilerplate for a standardized, organized and object-oriented codebase. Furthermore, the Plugin has in built support for 9 Languages other than English and is easy to convert into any other language.

Key Features Include:

  • AJAX Based Search
  • Responsive Design
  • SEO Optimized HTML
  • Configurable Search Form
  • Supports Customization of Google Maps V3
  • Search in Km or Miles
  • Distance Search based on User Location
  • Search based on Zip, City, State or Country
  • Easy Navigation of Search Results.
  • Display Direction from User Location to Store
  • Show / Hide Dropdown in Search Form to select Maximum Results
  • Show or Hide Distance Search Option
  • Show or Hide Category Filter in Search Form.
  • Show or Hide Result Section
  • Change Position of Result Section
  • Configure the fields that can be shown in Results Section
  • Optionally Animate the Google Map on Hovering over Result
  • Configure the Height of the Map
  • Configure the Zoom Level of Map
  • Configure Map Type
  • Show / Hide Map Control Buttons
  • Customize the Contents of the Info Button.
  • Supports Multi Languages
  • and so much more

You can check the working example of the Plugin with default options on Demo Page

نصب

  1. Upload Folder ascsoftw-sl to the /wp-content/plugins/ directory
  2. Activate the plugin through the \’Plugins\’ menu in WordPress
  3. Fill in the Google API Key on the Plugin\’s Settings Page.
  4. Add New Stores.
  5. Use the following shortcode where you want to display the Store Locator [ascsoftw_sl]

سوالات متداول

How to display the Store Locator on a Page or a Post

Just add the shortcode [ascsoftw-sl] and the Store Locator will be shown based on all the Settings that you have chosen in the Admin Panel.

Which all Settings I need to fill to get the Plugin Working

You only need to fill in the Google API Key to get the Plugin working. Rest of the Options are only there for changing the configuration of the Plugin. To get the API Key, you can follow Google Documentation

Oops! Something went wrong

If you see this error in place of where Google Map should appear it probably means that your Google API Key is not valid. Checking the console of the browser will give you exact error.

بررسی‌ها

بررسی‌ای برای این افزونه یافت نشد.

توسعه دهندگان و همکاران

“Store Locator” نرم افزار متن باز است. افراد زیر در این افزونه مشارکت کرده‌اند.

مشارکت کنندگان

ترجمه “Store Locator” به زبان شما.

علاقه‌ مند به توسعه هستید؟

Browse the code, check out the SVN repository, or subscribe to the development log by RSS.

تغییرات

1.0.0

Initial Release